Gridstate
ApiV1Quality

Read harvest quality; this is not independent field-accuracy validation

GET
/v1/quality

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/quality"
{  "data": {    "runId": "string",    "sourceId": "string",    "assetHash": "string",    "observedAt": "string",    "inputRecords": 0,    "acceptedRecords": 0,    "rejectedRecords": 0,    "unchangedAsset": true,    "rejections": [      {        "sourceLocator": "string",        "reasons": [          "string"        ]      }    ]  },  "quality": {    "generatedAt": "2019-08-24T14:15:22Z",    "scope": "commercial-core",    "policy": "string",    "queue": {      "rows": 0,      "missingCounty": 0,      "missingProposedDate": 0,      "synthesizedProjectName": 0,      "unresolvedProjectName": 0,      "missingPointOfInterconnection": 0,      "unresolvedPointOfInterconnection": 0,      "unknownPointOfInterconnection": 0,      "missingState": 0,      "unknownState": 0,      "unknownStatus": 0,      "zeroRequestedCapacity": 0,      "negativeRequestedCapacity": 0,      "suspectedProjectNameEncodingDamage": 0,      "suspectedPointOfInterconnectionEncodingDamage": 0,      "suspectedEncodingDamage": 0,      "activeWithWithdrawnDate": 0,      "proposedDateBeforeQueueDate": 0,      "onlineDateBeforeQueueDate": 0,      "withdrawnDateBeforeQueueDate": 0,      "interconnectionAgreementDateBeforeQueueDate": 0    },    "balancingAuthorityOperations": {      "rows": 0,      "quarantinedExtremeForecasts": 0    },    "joins": {      "generatorRows": 0,      "generatorsWithoutPlant": 0,      "generatorPlantCoverage": 0,      "operationRows": 0,      "operationsWithoutGenerator": 0,      "operationGeneratorCoverage": 0,      "operationsWithoutPlant": 0,      "operationPlantCoverage": 0    }  },  "scope": "commercial-core",  "release": {},  "methodology": {    "unit": "string",    "acceptanceRateDefinition": "string",    "note": "string"  }}